# RPM specfile for eog module
# Generated Sat Jan 25 07:51:12 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.214 2003/01/21 05:44:22 thunder Exp $

%define nam	eog
%define ver	1.1.4.0.200301250412
%define ximrev	1

Name:     	eog2
Version: 	1.1.4.0.200301250412
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Epoch:		1
Source0:	eog-1.1.4.tar.gz
Summary:	The Eye of GNOME image viewer
Group:		Applications/Multimedia
Requires:	GConf2
Provides:	eog = %{PACKAGE_VERSION}
Provides:	ximian-eog2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	eog
Prereq:	GConf2

%description
eog, the Eye of Gnome, is a graphics viewer for GNOME which uses the
gdk-pixbuf library.  It can deal with large images, and zoom and
scroll with constant memory usage. The goal is a standard graphics
viewer for future releases of Gnome.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS TODO README
/etc/gconf/schemas/eog.schemas
/usr/bin/*
/usr/libexec/*
/usr/share/applications/*
/usr/share/gnome/help/*
/usr/share/gnome-2.0/ui/*
/usr/share/idl/Eog.idl
/usr/lib/bonobo/servers/*
/usr/share/pixmaps/*
/usr/*/locale/*


%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/eog.schemas

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n eog-1.1.4
    ;;
all)
%setup  -q -n eog-1.1.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ${MAKE} install DESTDIR=$DESTDIR
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Sat Jan 25 2003 Ximian, Inc.

- Version: 1:1.1.4.0.200301250412-0.snap.ximian.1
- Summary: New build.
- New automated build.

